LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XAvailableLocales Interface Referencepublished

retrieves the list of available languages. More...

`import"XAvailableLocales.idl";`

Inheritance diagram for XAvailableLocales:

## Public Member Functions
sequence< com::sun::star::lang::Locale > | getAvailableLocales ([in] string aServiceName)
| retrieve the list of supported languages (Locales). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

retrieves the list of available languages.

## Member Function Documentation

## ◆ getAvailableLocales()

sequence< com::sun::star::lang::Locale > getAvailableLocales | ( | [in] string | aServiceName | ) |

retrieve the list of supported languages (Locales).

See also
  com::sun::star::linguistic2::XSupportedLocales

Parameters

  aServiceName | the name of the service to get the list of available Locales for.

Returns
  the list of locales supported by the whole of all registered implementations of that service. The sequence will be empty if there is no such language or the service is not known.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XAvailableLocales.idl